# Class TableProperties

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - TableProperties

- Defined in src/file/table/table-properties/table-properties.ts:47

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new TableProperties(options): TableProperties

- #### Parameters

  - ##### options: ITablePropertiesOptions

  #### Returns TableProperties

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in src/file/table/table-properties/table-properties.ts:48

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:53

Generated using TypeDoc